School API Documentation

Developer reference for the Lagos State Higher Institution Listings API.

Base URL
https://ramokeodo.com.ng/api
Available Endpoint
Method Endpoint Description
GET /api/schools Returns all schools.
Query Parameters
Parameter Example Description
search ?search=LASUSTECH Search schools by institution name.
category ?category=1 Filter by category ID.
lga ?lga=3 Filter by Local Government Area.
ownership ?ownership=Public Filter by ownership type.
Example Response
{
    "id": 1,
    "name": "Lagos State University of Science and Technology",
    "short_name": "LASUSTECH",
    "ownership": "Public",
    "category": "University",
    "lga": "Ikorodu",
    "website": "https://lasustech.edu.ng"
}
Example Requests
  • https://ramokeodo.com.ng/api/schools
  • https://ramokeodo.com.ng/api/schools?ownership=Public
  • https://ramokeodo.com.ng/api/schools?category=1
  • https://ramokeodo.com.ng/api/schools?lga=1
  • https://ramokeodo.com.ng/api/schools?search=LASUSTECH